# Generated by rust2rpm 23
%bcond_without check

%global crate jql

Name:           rust-jql
Version:        4.0.6
Release:        %autorelease -e rvre0
Summary:        JSON query language CLI tool

License:        MIT
URL:            https://crates.io/crates/jql
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          jql-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
JSON query language CLI tool.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# EPL-2.0
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND EPL-2.0 AND (Apache-2.0 OR BSL-1.0)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-MIT
%license LICENSE.dependencies
%doc PERFORMANCE.md
%doc README.md
%{_bindir}/jql

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/PERFORMANCE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-std-devel %{_description}

This package contains library source intended for building other packages which
use the "async-std" feature of the "%{crate}" crate.

%files       -n %{name}+async-std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+colored_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+colored_json-devel %{_description}

This package contains library source intended for building other packages which
use the "colored_json" feature of the "%{crate}" crate.

%files       -n %{name}+colored_json-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%ifarch %{arm} ppc64le
# * doctests fail to compile on armv7hl with LLVM 14:
#   https://bugzilla.redhat.com/show_bug.cgi?id=2086106
# * doctests fail to compile on ppc64le with LLVM 15:
#   https://bugzilla.redhat.com/show_bug.cgi?id=2142648
%cargo_test -- --lib
%else
%cargo_test
%endif
%endif

%changelog
%autochangelog
